; -- Winvn.iss --
; Inno installation script for installing WinVn

[Setup]
Bits=32
AppName=WinVn Usenet News Reader
AppVerName=WinVn V0.99.12n
AppCopyright=Public Domain Usenet News Reader
DefaultDirName={pf}\WinVn
DefaultGroupName=WinVn
UninstallDisplayIcon={app}\winvn.exe
AlwaysCreateUninstallIcon=yes
AppUpdatesURL=http://www.execpc.com/~mspankus
AppVersion=0.99.12n
AppPublisher=Mark Spankus
AllowNoIcons=yes
ChangesAssociations=yes


;MinVersion=4,3.51

[Files]
;Source: "CTL3D32.W95"; DestDir: "{sys}"; DestName: "CTL3D32.DLL"; CopyMode: onlyifdoesntexist; Flags: uninsneveruninstall
Source: "CTL3D32.W95"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "CTL3D32.NT"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "WinVn.EXE"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "WinVn.HLP"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: help
;Source: "wvtb32.dll"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "gwinsock.dll"; Destdir: "{app}"; CopyMode: alwaysoverwrite; Components: main
Source: "README.TXT"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Flags: isreadme; Components: main
Source: "WinVnFaq.txt"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: Readme
Source: "Read9909.txt"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: Readme
Source: "Read9910.txt"; DestDir: "{app}"; CopyMode: alwaysoverwrite; Components: Readme


[Icons]
Name: "{group}\WinVn News Reader"; Filename: "{app}\WinVn.EXE"; WorkingDir: "{app}"; Components: main
Name: "{group}\WinVn Readme"; Filename: "{app}\ReadMe.txt"; Components: main;
Name: "{group}\WinVnFaq"; Filename: "{app}\WinVnFaq.txt"; Components: Readme
Name: "{group}\WinVn Original Readme"; Filename: "{app}\Read9909.txt"; Components: Readme
Name: "{group}\WinVn Original V0.99.10 Readme"; Filename: "{app}\Read9910.txt"; Components: Readme
Name: "{commondesktop}\WinVn"; Filename: "{app}\WinVn.exe"; WorkingDir: "{app}"; Components: main; Tasks: desktopicon
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\WinVn"; Filename: "{app}\WinVn.exe"; WorkingDir: "{app}"; Components: main; Tasks: quicklaunchicon

[Components]
Name: "Main"; Description: "Main Files"; Types: full compact custom; Flags: fixed;
Name: "Readme"; Description: "Additional bug fix & history text files"; Types: full; ExtraDiskSpaceRequired: 116
Name: "Help"; Description: "Help File"; Types: full custom compact; ExtraDiskSpaceRequired: 141

[Tasks]
Name: desktopicon; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Components: main
Name: quicklaunchicon; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: main; Flags: unchecked

[UninstallDelete] 
Type: files; Name: "{app}\WinVn.INI"
Type: files; Name: "{app}\newsrc"
