/* wvstates.h

 * States in the FSA that cracks input lines from the server.
 *
 * $Id: wvstates.h 1.4 1996/08/13 03:33:03 brydon Exp $
 */

#define ST_NONE                    800
#define ST_ESTABLISH_COMM          801
#define ST_GROUP_RESP              802
#define ST_XHDR_SUBJECT_START      803
#define ST_XHDR_SUBJECT_DATA       804
#define ST_IN_GROUP                805
#define ST_ARTICLE_RESP            806
#define ST_REC_ARTICLE             807
#define ST_POST_WAIT_PERMISSION    808
#define ST_POST_WAIT_END           809
#define ST_GROUP_REJOIN            810
#define ST_LIST_RESP               811
#define ST_LIST_GROUPLINE          812
//#define ST_MAIL_WAIT_PERMISSION    813
//#define ST_MAIL_WAIT_END           814
#define ST_OVERVIEW_FMT_CHECK      815
#define ST_OVERVIEW_FMT            816
#define ST_INLINEGROUP_RESP        817
#define ST_GROUP_RETURN            818
#define ST_CAPABILITIES            823
#define ST_CAPABILITIES_DATA       824
#define ST_CHECK_AUTHINFO_USERNAME 820
#define ST_CHECK_AUTHINFO_PASSWORD 821
#define ST_END_AUTHINFO            822
#define ST_MODE_READER             823
#define ST_XHDR_NNTP_HOST_START    846
#define ST_XHDR_NNTP_HOST_DATA     847
#define ST_XHDR_NEWSGROUPS_START   848
#define ST_XHDR_NEWSGROUPS_DATA    849
#define ST_XHDR_FROM_START         850
#define ST_XHDR_FROM_DATA          851
#define ST_XHDR_SUBJ_START         852
#define ST_XHDR_SUBJ_DATA          853
#define ST_XHDR_REF_START          854
#define ST_XHDR_REF_DATA           855
#define ST_XHDR_MID_START          856
#define ST_XHDR_MID_DATA           857
#define ST_XHDR_DATE_START         858
#define ST_XHDR_DATE_DATA          859
#define ST_XHDR_LINES_START        860
#define ST_XHDR_LINES_DATA         861
#define ST_XOVER_START             862
#define ST_XOVER_DATA              863
#define ST_XOVER_CHECK             864
#define ST_REC_ARTICLE_HEADER      865
#define ST_QUIT_RESP               866
#define ST_IS_ARTICLE_ON_SERVER    867  /* Heirich 19970311 */
#define ST_WAIT_COMM               868
#ifdef OFFLINE
#define ST_WRITE                   869  /* for Goh Tanaka's OFFLINE package */
#define ST_DELETE                  870  /* for Goh Tanaka's OFFLINE package */
#define ST_HEAD2_NEWSGROUPS_START  871  /* use ARTICLE instead HEAD for OFFLINE-package */
#endif
#define ST_HEAD_NEWSGROUPS_START   872
#define ST_HEAD_NEWSGROUPS_DATA    873
#define ST_GROUP_DESCRIPTION_RESP  874  /* Heirich 19991020 */
#define ST_GROUP_DESCRIPTION_LINE  875  /* Heirich 19991021 */
#define ST_TIMEOUT_WAKEUP          876  /* Heirich 19991116 */
#define ST_RECONNECTED             877
#define ST_XFEATURES_CHECK         878
#define ST_XFEATURES_RESPONSE      879
#define ST_LIST_GROUPLINECMP       880  //compressed grouplist
#define ST_XOVER_DATACMP		   881  //compressed xover data
#define ST_OVERVIEW_FMTCMP         882  //compressed overview.fmt



#define ST_CLOSED_COMM             899

